(define-module (kimapr packages override)
  #:use-module (guix gexp)
  #:use-module (guix utils)
  #:use-module (guix packages)
  #:use-module ((gnu packages lua)
                #:prefix gnu:)
  #:use-module ((gnu packages video)
                #:prefix gnu:)
  #:use-module ((gnu packages audio)
                #:prefix gnu:)
  #:replace (lua-5.4 ffmpeg-7 ffmpeg mpv))

;; Guix won't merge my patch for this after 1 grillion years
(define lua-5.4
  (package
    (inherit gnu:lua-5.4)
    (arguments
     (substitute-keyword-arguments (package-arguments gnu:lua-5.4)
       ((#:make-flags flags)
        (append (list-head flags
                           (- (length flags) 1))
                '("linux-readline")))))))

(define (unfuck-ffmpeg ffmpeg)
  (package
    (inherit ffmpeg)
    (arguments
     (substitute-keyword-arguments (package-arguments ffmpeg)
       ((#:configure-flags flags)
        #~(cons* "--enable-libopenmpt"
                 #$flags))))
    (inputs (modify-inputs (package-inputs ffmpeg)
              (prepend gnu:libopenmpt)))))

(define ffmpeg-7
  (unfuck-ffmpeg gnu:ffmpeg-7))
(define ffmpeg
  (unfuck-ffmpeg gnu:ffmpeg))

(define mpv
  ((package-input-rewriting `((,gnu:ffmpeg unquote ffmpeg)))
   gnu:mpv))
